# class Win32::Registry::PredefinedKey

Predefined Keys

### Public Class Methods

new (hkey, keyname)
Source

    # File ext/win32/lib/win32/registry.rb, line 200
    def initialize(hkey, keyname)
      @hkey = Fiddle::Pointer.new(hkey)
      @parent = nil
      @keyname = keyname
      @disposition = REG_OPENED_EXISTING_KEY
    end

### Public Instance Methods

class ()
Source

    # File ext/win32/lib/win32/registry.rb, line 213
    def class
      Registry
    end

Fake `class` method for `Registry#open`, `Registry#create`

close ()
Source

    # File ext/win32/lib/win32/registry.rb, line 208
    def close
      raise Error.new(5) ## ERROR_ACCESS_DENIED
    end

Predefined keys cannot be closed